Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156857 - CAN-2005-1431 gnutls record packet parsing DoS
Summary: CAN-2005-1431 gnutls record packet parsing DoS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnutls
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard: impact=moderate,public=20050428,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 18:44 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: gnutls-1.0.20-3.1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-05 18:25:03 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-04 18:44:37 UTC
+++ This bug was initially created as a clone of Bug #156856 +++

The "record packet parsing" in GnuTLS 1.2 before 1.2.3 and 1.0 before 1.0.25
allows remote attackers to cause a denial of service, possibly related to
padding bytes in gnutils_cipher.c.

Comment 1 Josh Bressers 2005-05-04 18:45:42 UTC
The patch for this is attachment 114036.

Comment 2 Tomas Mraz 2005-05-05 18:25:03 UTC
Updated package was released.



Note You need to log in before you can comment on or make changes to this bug.